Kerbal Space Program - Bug #17505

Parts Action Menu
02/22/2018 03:43 PM - Sage1589

Status: Closed Start date: 02/22/2018
Severity: Normal % Done: 100%
Assignee:
Category: Controls and Ul
Target version: Xbox One - Enhanced Edition
2018-07-19
Version: XBoxOne - Enhanced Edition Language: English (US)
2018-01-16
Platform: XBoxOne Mod Related: No
Expansion:
Description

When in VAB or in flight, | am unable to access the parts action menu. | have tried all three presets. When | place the cursor on a
part that should have actions (e.g. solar panels) and click the 'x' button, nothing happens. All other controls work as designed.

| have tried reinstalling the game, restarting my console, switching to a different controller, and even switching from KSP to another
game and back again (recommended by someone on the KSP forums
https://forum.kerbalspaceprogram.com/index.php?/topic/169629-action-menu-not-working-on-enhanced-edition/).

History

#1 - 03/01/2018 03:22 AM - Sage1589

Update: recent patch seems to have fixed, but problem replicated when | attempted the Docking training scenario. | was unable to open parts menu
for docking port. Closed the scenario and opened a saved game where the issue had resolved and was again unable to open parts menu. Attempted
restart of game, but issue persists. Uninstalled and reinstalling. Will update ticket if this corrects issue.

#2 - 03/01/2018 03:37 AM - Sage1589

Uninstalled and reinstalled, did not correct. Deleted saved data and started fresh, also did not work. Most distressing.

| immediately regret doing that training scenaruo.

#3 - 03/20/2018 11:40 AM - Squelch

- Severity changed from Critical to Normal

#4 - 03/28/2019 05:26 AM - joshua.collins

- Status changed from New to Ready to Test

- Target version set to Xbox One - Enhanced Edition 2018-07-19
- % Done changed from 0 to 80

#5 - 07/24/2019 11:36 PM - chris.fulton
- Status changed from Ready to Test to Resolved
- % Done changed from 80 to 100

#6 - 07/24/2019 11:36 PM - chris.fulton

- Status changed from Resolved to Closed
